summaryrefslogtreecommitdiffstats
path: root/crawl-ref/source/util/pcre/pcre-config.in
diff options
context:
space:
mode:
authorennewalker <ennewalker@c06c8d41-db1a-0410-9941-cceddc491573>2008-07-27 14:24:02 +0000
committerennewalker <ennewalker@c06c8d41-db1a-0410-9941-cceddc491573>2008-07-27 14:24:02 +0000
commit343ba001ffb116ddadb275d23645861a60bbbdbc (patch)
tree300151e597f37ea8660f59819e47861b3036b23b /crawl-ref/source/util/pcre/pcre-config.in
parent09f449f50d9f136fb7dd0dfb848ee953b2851aaf (diff)
downloadcrawl-ref-343ba001ffb116ddadb275d23645861a60bbbdbc.tar.gz
crawl-ref-343ba001ffb116ddadb275d23645861a60bbbdbc.zip
Added PCRE into the source tree. Updated documentation to reflect that PCRE is now on by default on Windows/DOS.
git-svn-id: https://crawl-ref.svn.sourceforge.net/svnroot/crawl-ref/branches/stone_soup-0.4@6696 c06c8d41-db1a-0410-9941-cceddc491573
Diffstat (limited to 'crawl-ref/source/util/pcre/pcre-config.in')
-rw-r--r--crawl-ref/source/util/pcre/pcre-config.in69
1 files changed, 69 insertions, 0 deletions
diff --git a/crawl-ref/source/util/pcre/pcre-config.in b/crawl-ref/source/util/pcre/pcre-config.in
new file mode 100644
index 0000000000..3b52101b9b
--- /dev/null
+++ b/crawl-ref/source/util/pcre/pcre-config.in
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+exec_prefix_set=no
+
+usage="\
+Usage: pcre-config [--prefix] [--exec-prefix] [--version] [--libs] [--libs-posix] [--cflags] [--cflags-posix]"
+
+if test $# -eq 0; then
+ echo "${usage}" 1>&2
+ exit 1
+fi
+
+libR=
+case `uname -s` in
+ *SunOS*)
+ libR=" -R@libdir@"
+ ;;
+ *BSD*)
+ libR=" -Wl,-R@libdir@"
+ ;;
+esac
+
+while test $# -gt 0; do
+ case "$1" in
+ -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+ *) optarg= ;;
+ esac
+
+ case $1 in
+ --prefix=*)
+ prefix=$optarg
+ if test $exec_prefix_set = no ; then
+ exec_prefix=$optarg
+ fi
+ ;;
+ --prefix)
+ echo $prefix
+ ;;
+ --exec-prefix=*)
+ exec_prefix=$optarg
+ exec_prefix_set=yes
+ ;;
+ --exec-prefix)
+ echo $exec_prefix
+ ;;
+ --version)
+ echo @PACKAGE_VERSION@
+ ;;
+ --cflags | --cflags-posix)
+ if test @includedir@ != /usr/include ; then
+ includes=-I@includedir@
+ fi
+ echo $includes
+ ;;
+ --libs-posix)
+ echo -L@libdir@$libR -lpcreposix -lpcre
+ ;;
+ --libs)
+ echo -L@libdir@$libR -lpcre
+ ;;
+ *)
+ echo "${usage}" 1>&2
+ exit 1
+ ;;
+ esac
+ shift
+done